#include <iostream>
using namespace std;
int main ()
{
    int N,M,P,sum=0;
    cin>>M>>N>>P;
    int m[N][N];
    for (int i=0; i<N; i++)
    {
        for (int j=0; j<N; j++)
        {
            m[i][j]=M;
            M++;
        }
    }
    for (int i=0; i<N; i++)
    {
        for (int j=0; j<N; j++)
        {
            cout<<m[i][j];
        }
        cout<<endl;
    }
    for (int i=0; i<N; i++)
    {
        sum+=m[P][i];
    }
    cout<<sum+10;
    return 0;
}